Name:       libunity
Version:    6.12.0
Release:    1%{?dist}
Summary:    A library for instrumenting- and integrating with all aspects of the Unity shell

Group:      System Environment/Libraries
License:    GPLv3
URL:        https://launchpad.net/libunity
Source0:    https://launchpad.net/%{name}/6.0/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  vala
BuildRequires:  vala-tools
BuildRequires:  gobject-introspection-devel
BuildRequires:  dee-devel
BuildRequires:  gtk3-devel
BuildRequires:  glib2-devel
BuildRequires:  libgee06-devel
BuildRequires:  libdbusmenu-devel
BuildRequires:  dee-devel >= 1.0.4
BuildRequires:  python2-devel
#Requires:       

%description
A library for instrumenting- and integrating with all aspects of the Unity shell.

%package devel
Summary:    Development files for libunity
Group:      Development/Libraries
Requires:   %{name} = %{version}
%description devel
Development headers and libraries for libunity

%package -n python-unity
Summary:    Python bindings for libunity
Requires:   %{name} = %{version}
Requires:   python(abi) = 2.7
%description -n python-unity
Python bindings for libunity

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find %{buildroot}/%{_libdir} -name "*.la" | xargs rm -f -

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc COPYING AUTHORS README
%{_bindir}/%{name}-tool
%{_libdir}/%{name}.so.9
%{_libdir}/%{name}.so.9.0.2
%{_libdir}/%{name}/%{name}-protocol-private.so.0
%{_libdir}/%{name}/%{name}-protocol-private.so.0.0.0
%{_datadir}/glib-2.0/schemas/com.canonical.Unity.Lenses.gschema.xml

%files devel
%doc COPYING AUTHORS README
%{_libdir}/%{name}.so
%{_libdir}/%{name}/%{name}-protocol-private.so
%{_libdir}/pkgconfig/unity.pc
%{_libdir}/pkgconfig/unity-protocol-private.pc
%{_libdir}/girepository-1.0/Unity-6.0.typelib
%{_datadir}/vala/vapi/unity*
%{_datadir}/gir-1.0/Unity-6.0.gir
%{_includedir}/unity

%files -n python-unity
%doc COPYING AUTHORS README
%{_libdir}/python2.7/site-packages/gi/overrides/Unity*

%changelog

